
Rectangle = Core.class(Shape)

function Rectangle:init(x, y, width, height, color)

	self:setFillStyle(Shape.SOLID, color.grass)
	self:beginPath(Shape.NON_ZERO)
	self:moveTo(x, y)
	self:lineTo(x + width, y)
	self:lineTo(x + width, y + height)
	self:lineTo(x, y + height)
	self:lineTo(x, y)
	self:endPath()
end

Polygon = Core.class(Shape)

function Polygon:init(x1, y1, x2, y2, x3, y3, x4, y4, color)

	self:setFillStyle(Shape.SOLID, color) 
	self:beginPath(Shape.NON_ZERO)
	self:moveTo(x1, y1)
	self:lineTo(x2, y2)
	self:lineTo(x3, y3)
	self:lineTo(x4, y4)
	self:endPath()
end